Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.edit.ui.provider
Class AdapterFactoryContentProvider.ViewerRefresh

    java.lang.Object
      org.eclipse.emf.edit.ui.provider.AdapterFactoryContentProvider.ViewerRefresh

All Implemented Interfaces:
  Runnable

Enclosing class:
  AdapterFactoryContentProvider

    public static class AdapterFactoryContentProvider.ViewerRefresh

extends Object
implements Runnable

A runnable class that efficiently updates a `Viewer` via standard APIs, based on queued `IViewerNotification`s from the model's item providers.

Constructor Summary
`AdapterFactoryContentProvider.ViewerRefresh(org.eclipse.jface.viewers.Viewer viewer)`
`AdapterFactoryContentProvider.ViewerRefresh(org.eclipse.jface.viewers.Viewer viewer, org.eclipse.emf.edit.provider.IViewerNotification notification)` Deprecated. in 2.2.0

Method Summary
`boolean` | `addNotification(org.eclipse.emf.edit.provider.IViewerNotification notification)` Adds a viewer notification to the queue that will be processed by this `ViewerRefresh`.
`void` | `run()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterFactoryContentProvider.ViewerRefresh

    public AdapterFactoryContentProvider.ViewerRefresh(org.eclipse.jface.viewers.Viewer viewer)

Since:
  2.2.0

### AdapterFactoryContentProvider.ViewerRefresh

    @Deprecated
    public AdapterFactoryContentProvider.ViewerRefresh(org.eclipse.jface.viewers.Viewer viewer,
                                                                  org.eclipse.emf.edit.provider.IViewerNotification notification)

  Deprecated. in 2.2.0

Method Detail

### addNotification

    public boolean addNotification(org.eclipse.emf.edit.provider.IViewerNotification notification)

  Adds a viewer notification to the queue that will be processed by this `ViewerRefresh`. Duplicative notifications will not be queued.

  Parameters:
    `notification` - the notification to add to the queue
  Returns:
    whether the queue has been made non-empty, which would indicate that the `ViewerRefresh` needs to be `scheduled` on the event queue
  Since:
    2.2.0

### run

    public void run()

  Specified by:
    `run` in interface `Runnable`

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.